<?php
// +-----------------------------------------------------------------------+
// | Dynamic Recent Period - a PWG Plugin                                  |
// | Copyright (C) 2007 Ruben ARNAUD - rub@phpwebgallery.net               |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

if (!defined('PHPWG_ROOT_PATH'))
{
  die('Hacking attempt!');
}

include(get_language_filepath('plugin.lang.php', DYNARECEPERIO_PATH));

if (isset($_POST['submit']) and !is_adviser())
{
  $conf['dynareceperio']['force'] = empty($_POST['dynareceperio_force']) ? false : true;
  if (isset($_POST['dynareceperio_day_number']))
  {
    $conf['dynareceperio']['day_number'] = $_POST['dynareceperio_day_number'];
  }

  $query = '
update '.CONFIG_TABLE.'
set
  value = \''.serialize($conf['dynareceperio']).'\'
where 
  param = \'dynareceperio\'
;';
  pwg_query($query);
}

$template->assign_vars(
  array(
    'F_ACTION'=> '',
    'DYNARECEPERIO_FORCE'=> ($conf['dynareceperio']['force'] ? 'checked="checked"' : ''),
    'DYNARECEPERIO_DAY_NUMBER'=> $conf['dynareceperio']['day_number'],
    ));

$template->set_filename('plugin_admin_content', DYNARECEPERIO_PATH.'config.tpl');
$template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');


?>